MPD

- Main Page
- Data Structures
- Files

- File List
- Globals

Data Structures | Functions

# src/archive_plugin.h File Reference

`#include <glib.h>`
`#include <stdbool.h>`

Go to the source code of this file.

## Data Structures
struct | archive_plugin
## Functions
struct archive_file * | archive_file_open (const struct archive_plugin *plugin, const char *path, GError **error_r)
void | archive_file_close (struct archive_file *file)
void | archive_file_scan_reset (struct archive_file *file)
char * | archive_file_scan_next (struct archive_file *file)
struct input_stream * | archive_file_open_stream (struct archive_file *file, const char *path, GError **error_r)

## Function Documentation

void archive_file_close | ( | struct archive_file * | file | ) |

struct archive_file* archive_file_open | ( | const struct archive_plugin * | plugin,
|  | const char * | path,
|  | GError ** | error_r
| ) |  | `[read]`

struct input_stream* archive_file_open_stream | ( | struct archive_file * | file,
|  | const char * | path,
|  | GError ** | error_r
| ) |  | `[read]`

char* archive_file_scan_next | ( | struct archive_file * | file | ) |

void archive_file_scan_reset | ( | struct archive_file * | file | ) |